Update a Withdrawal Config
curl --request PATCH \
--url https://api.hel.io/v1/withdrawal-configs/{withdrawalConfigId}/api-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"currencyIds": [
"<string>"
],
"disabled": true,
"disabledBlockchainSymbols": [
"<string>"
],
"enabledFeatures": [
"iron"
],
"themeId": "<string>"
}
'import requests
url = "https://api.hel.io/v1/withdrawal-configs/{withdrawalConfigId}/api-key"
payload = {
"name": "<string>",
"currencyIds": ["<string>"],
"disabled": True,
"disabledBlockchainSymbols": ["<string>"],
"enabledFeatures": ["iron"],
"themeId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
currencyIds: ['<string>'],
disabled: true,
disabledBlockchainSymbols: ['<string>'],
enabledFeatures: ['iron'],
themeId: '<string>'
})
};
fetch('https://api.hel.io/v1/withdrawal-configs/{withdrawalConfigId}/api-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"platform": "<string>",
"disabled": true,
"disabledBlockchainSymbols": [
"<string>"
],
"enabledFeatures": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}WITHDRAWALS
Update a Withdrawal Config
Updates an existing withdrawal configuration. Requires an API key with the WITHDRAWS_UPDATE permission.
PATCH
/
v1
/
withdrawal-configs
/
{withdrawalConfigId}
/
api-key
Update a Withdrawal Config
Note: When using the production environment at moonpay.hel.io, set your API endpoint to
api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.Authorizations
Authentication using JWT token
Path Parameters
The withdrawal config ID.
Query Parameters
Your API key, which can be generated from the Helio Dashboard settings page.
Body
application/json
Maximum string length:
200Minimum array length:
1Optional feature flags. iron enables Iron.xyz auto off-ramp.
Available options:
iron Optional ID of a saved theme to apply to this withdrawal config's hosted pages.
⌘I
